Bug 62027 - custom logging produces double logs (TransferLog directive in twice)
custom logging produces double logs (TransferLog directive in twice)
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: apacheconf (Show other bugs)
7.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jonathan Blandford
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-03-26 16:00 EST by Stephen Samuel
Modified: 2013-04-02 00:16 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-01-27 10:56:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stephen Samuel 2002-03-26 16:00:56 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.8+) Gecko/20020227

Description of problem:
if custom logging is set for a site, the resulting httpd.conf has the necessary
TransferLog entry twice. This appears to cause double logging of each access.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
Start up apacheconf and set up custom logging for a site.

Make some accesses and then check the log.

Actual Results:  
Two entries for each access.

Expected Results:  One entry per access.

Additional info:

This is (obviously) more of a problem with high volume sites.

A snippet from the httpd.conf log follows:

        ServerAdmin webmaster@4autobodyparts.com
        ServerName www.4autobodyparts.com
 
 
        TransferLog logs/www.4autobodyparts.com-access_log
        DirectoryIndex cgi-bin/4autobodyparts
 
 
 
 
        SSLCertificateFile /YYY/XXXX.crt
        SSLCertificateKeyFile /YYY/XXXX.key 
 
 
        SSLLog logs/www.4autobodyparts.com-ssl_engine_log
        SSLLogLevel error
        LogFormat "%h %l %u %t \"%r\" %>s %b \"%{Referer}i\" \"%{User-agent}i\""
       
        TransferLog logs/www.4autobodyparts.com-access_log
        ErrorLog logs/www.4autobodyparts.com-error_log
Comment 1 Phil Knirsch 2003-01-27 10:56:48 EST
Checked with latest version, seems to work fine (at least, i get only 1
access_log entry).

Read ya, Phil

Note You need to log in before you can comment on or make changes to this bug.